org.springframework.cloud.dataflow.core

## Class StreamAppDefinition

- java.lang.Object
- - org.springframework.cloud.dataflow.core.StreamAppDefinition

-     public class StreamAppDefinition
      extends Object

  Representation of an application, including properties provided via the DSL definition. This does not include any information required at deployment time (such as the number of app instances).
  Author:
    Mark Fisher

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamAppDefinition.Builder` Builder object for `StreamAppDefinition`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.springframework.cloud.deployer.spi.core.AppDefinition` | `appDefinition` The underlying `AppDefinition`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamAppDefinition(String registeredAppName, String label, ApplicationType applicationType, String streamName, Map<String,String> properties)` Construct a `StreamAppDefinition`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `ApplicationType` | `getApplicationType()`
    `String` | `getName()` Return the name from the `AppDefinition`.
    `Map<String,String>` | `getProperties()` Gets the app definition properties.
    `String` | `getRegisteredAppName()` Return the name of the registered app.
    `String` | `getStreamName()` Return name of the stream this app instance belongs to.
    `int` | `hashCode()`
    `protected void` | `setRegisteredAppName(String registeredAppName)` Set the registered app name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### appDefinition

          protected volatile org.springframework.cloud.deployer.spi.core.AppDefinition appDefinition

      The underlying `AppDefinition`.

  - ### Constructor Detail

    - #### StreamAppDefinition

          public StreamAppDefinition(String registeredAppName,
                                     String label,
                                     ApplicationType applicationType,
                                     String streamName,
                                     Map<String,String> properties)

      Construct a `StreamAppDefinition`. This constructor is private; use `StreamAppDefinition.Builder` to create a new instance.
      Parameters:
        `registeredAppName` - name of app in the registry
        `label` - label used for app in stream definition
        `applicationType` - the `ApplicationType`
        `streamName` - name of the stream this app belongs to
        `properties` - app properties; may be `null`

  - ### Method Detail

    - #### getStreamName

          public String getStreamName()

      Return name of the stream this app instance belongs to.
      Returns:
        stream name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

    - #### toString

          public String toString()

    - #### getName

          public String getName()

      Return the name from the `AppDefinition`.
      Returns:
        the name from the `AppDefinition`

    - #### getRegisteredAppName

          public String getRegisteredAppName()

      Return the name of the registered app.
      Returns:
        name of app in registry

    - #### setRegisteredAppName

          protected void setRegisteredAppName(String registeredAppName)

      Set the registered app name. Only intended for subclasses to invoke.
      Parameters:
        `registeredAppName` - the registered app name

    - #### getProperties

          public Map<String,String> getProperties()

      Gets the app definition properties. These properties are passed into a running app.
      Returns:
        the unmodifiable map of app properties

    - #### getApplicationType

          public ApplicationType getApplicationType()

      Returns:
        the `ApplicationType` of this application

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.